Bug 652034 (python-apipkg) - Review Request: python-apipkg - Python namespace control and lazy-import mechanism
Summary: Review Request: python-apipkg - Python namespace control and lazy-import mech...
Keywords:
Status: CLOSED ERRATA
Alias: python-apipkg
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Weller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-anyvc
TreeView+ depends on / blocked
 
Reported: 2010-11-10 20:54 UTC by Fabian Affolter
Modified: 2014-10-03 12:01 UTC (History)
4 users (show)

Fixed In Version: python-apipkg-1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-25 08:25:46 UTC
Type: ---
ian: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2010-11-10 20:54:50 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-apipkg.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-apipkg-1.0-1.fc14.src.rpm

Project URL: http://pypi.python.org/pypi/apipkg

Description:
With apipkg you can control the exported namespace of a python package and
greatly reduce the number of imports for your users. It is a small python
module that works on virtually all Python versions, including CPython2.3 to
Python3.1, Jython and PyPy. It co-operates well with Python's help() system,
custom importers (PEP302) and common command line completion tools.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2593863

rpmlint output:
[fab@localhost SRPMS]$ rpmlint python-apipkg-1.0-1.fc14.src.rpm 
python-apipkg.src: W: spelling-error Summary(en_US) namespace -> name space, name-space, names pace
python-apipkg.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@localhost noarch]$ rpmlint python-apipkg-1.0-1.fc14.noarch.rpm 
python-apipkg.noarch: W: spelling-error Summary(en_US) namespace -> name space, name-space, names pace
python-apipkg.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Ian Weller 2012-02-03 15:48:53 UTC
Are you still willing to have this package reviewed? If so, I will gladly review it.

Comment 2 Ian Weller 2012-02-04 21:36:54 UTC
(We do need this package for python-mwlib so I'm going to go ahead and make a comment pursuant to the stalled package review policy:
  https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews)

This review request is stalled and a response is needed from the submitter soon. Please respond by Feb 12 2012 or this review request may be closed.

Comment 3 Fabian Affolter 2012-02-07 17:47:17 UTC
This package is also needed by python-anyvc, so it would be nice if it gets reviewed.

Comment 4 Ian Weller 2012-02-07 19:31:34 UTC
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [x] passed, [F] failed, [-] irrelevant

[x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.
       python-apipkg.noarch: W: spelling-error Summary(en_US) namespace -> name
       space, name-space, names pace
       python-apipkg.noarch: W: spelling-error %description -l en_US namespace
       -> name space, name-space, names pace
       python-apipkg.src: W: spelling-error Summary(en_US) namespace -> name
       space, name-space, names pace
       python-apipkg.src: W: spelling-error %description -l en_US namespace ->
       name space, name-space, names pace
       2 packages and 0 specfiles checked; 0 errors, 4 warnings.
    These warnings are ignorable in my opinion.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must meet the Packaging Guidelines.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[-] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[x] MUST: Each package must consistently use macros. 
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[x] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[x] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8. 

All requirements have passed, so this package is APPROVED

Comment 5 Fabian Affolter 2012-02-08 17:14:01 UTC
Thanks for the review, Ian.

Comment 6 Fabian Affolter 2012-02-08 17:16:16 UTC
New Package SCM Request
=======================
Package Name: python-apipkg
Short Description: Python namespace control and lazy-import mechanism
Owners: fab
Branches: F16 F15 EL6
InitialCC:

Comment 7 Gwyn Ciesla 2012-02-08 17:25:48 UTC
Git done (by process-git-requests).

Added f17.

Comment 8 Fedora Update System 2012-02-10 22:52:48 UTC
python-apipkg-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-apipkg-1.0-1.fc15

Comment 9 Fedora Update System 2012-02-10 22:52:59 UTC
python-apipkg-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-apipkg-1.0-1.fc16

Comment 10 Fedora Update System 2012-02-10 22:53:07 UTC
python-apipkg-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-apipkg-1.0-1.el6

Comment 11 Fedora Update System 2012-02-11 18:56:01 UTC
Package python-apipkg-1.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-apipkg-1.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0429/python-apipkg-1.0-1.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-02-25 08:25:46 UTC
python-apipkg-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-02-25 08:32:59 UTC
python-apipkg-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-03-06 07:08:00 UTC
python-apipkg-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fabian Affolter 2014-10-03 08:42:23 UTC
Package Change Request
======================
Package Name: python-apipkg
New Branches: epel7
Owners: fab
InitialCC:

Comment 16 Gwyn Ciesla 2014-10-03 12:01:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.